@import 'master.css';

footer{
    background-color: var(--verde-agua);
    padding-left: 5%;
    margin: 0;
}
footer a{
    color: var(--branco);
}
footer h4{
    color: var(--branco);
}
#shipping_method{
    list-style: none;
}

@media screen and (max-width: 766px){
    html{
        overflow-x: hidden;
    }
    footer{
        margin: 0;
    }
    .carrinho{
        padding-top: 100px;
    }
    .carrinho h1{
        color: var(--verde-agua);
    }
    .woocommerce form .shop_table thead{
        display: none;
    }
    .woocommerce form .shop_table tr{
        display: inline-block;
        margin-top: 50px;
        background-color: #F2F2F2;
        border-radius: 10px;
        box-shadow: 3px 3px 2px -3px rgba(0,0,0,0.26);
    }
    .woocommerce form .shop_table tr td{
        display: inline-block;
        width: 100%;
    }
    .woocommerce form tr td.product-remove{
        margin: 0px;
    }
    .woocommerce form tr td.product-remove a{
        color: var(--branco);
        background-color: var(--verde-agua);
        border-radius: 30px;
        padding:10px;
        font-size: 15px;
        position: absolute;
        right: 0;
        margin-right: 10px;
        margin-top: -30px;
    }
    .woocommerce form tr td.product-thumbnail{
        text-align: center;
    }
    .woocommerce form tr td.product-thumbnail img{
        box-shadow: 4px 4px 3px -3px rgba(0,0,0,0.26);
        object-fit: cover;
        border-radius: 10px;
    }
    .product-name{
        margin-top: 40px;
    }
    .product-name::before{
        content: 'Produto:';
        font-size: 25px;
        color: var(--cinza);
        padding: 20px;
        font-weight: bold;
    }
    .product-name a{
        color: var(--verde-musgo);
        font-weight: bold;
    }
    .product-price::before{
        content: 'Preço:';
        font-size: 25px;
        color: var(--cinza);
        padding: 20px;
        font-weight: bold;
    }
    .product-price span{
        color: var(--cinza);
        font-weight: bold;
        margin-left: 13px;
    }
    .product-quantity label{
        display: none;
    }
    .product-quantity .quantity::before{
        content: "Qntd:";
        font-size: 25px;
        color: var(--cinza);
        padding: 20px;
        font-weight: bold;
    }
    .product-quantity .quantity input[type=number]{
        margin-left: 34px;
        appearance: none;
    }
    .product-subtotal::before{
        content: "Subtotal:";
        font-size: 24px;
        color: var(--cinza);
        padding: 20px;
        font-weight: bold;
    }
    .product-subtotal span{
        color: var(--cinza);
        font-weight: bold;
    }
    .woocommerce form .shop_table tr:last-child{
        display: table;
        background-color: transparent;
        border-radius: 0;
        box-shadow: none;
    }
    .actions{
        display: table-row-group;
        width: 100vw;
    }
    .actions input#coupon_code{
        width: 100%;
        padding: 10px;
        border: 1px;
        border-color: var(--verde-musgo);
        border-style: solid;
    }
    .actions .button{
        display: table-caption;
        width: 91vw;
        margin-top: 15px;
        background-color: var(--mostarda);
        color: var(--branco);
        font-size: 20px;
        padding: 8px;

    }
    .actions .coupon .button{
        background-color: var(--verde-musgo);
    }
    .cart_item{
        padding: 15px 0 15px 0;
    }

    .cart-collaterals{
        text-align: left;
        position: relative;
        width: 100vw;
    }
    .cart-collaterals .cart_totals{
        width: 100% !important;
    }
    .cart-collaterals .cart_totals  h2{
        color: var(--verde-agua);
        margin-top: 50px;
        font-weight: bold;
    }
    .cart-collaterals .shop_table{
        color: var(--cinza);
        width: 100%;
    }
    .cart-collaterals .shop_table tr{
        font-size: 24px;
        padding: 14px;
    }
    .cart-collaterals .shop_table tr:nth-child(even) {
        background: #EBEBEB;
    }
    .cart-collaterals .shop_table tr:nth-child(odd) {
        background: #F2F2F2;
    }
    .cart-collaterals .shop_table th{
        padding: 18px;
    }
    .cart-collaterals .wc-proceed-to-checkout{
        padding-top: 20px;
    }
    .cart-collaterals .checkout-button{
        background-color: var(--mostarda);
        display: inline-block;
        width: 100%;
        text-align:  center;
        color: var(--branco);
        padding: 10px;
        font-size: 18px;
        margin-bottom: 80px;
    }
}
@media screen and (min-width: 767px){
    .carrinho{
        margin: auto;
        width: 80%;
        /* border: 3px solid green; */
        padding: 10px;
    }
    .carrinho h1{
        text-transform: uppercase;
        color: var(--verde-agua);
        font-size: 38px;
    }
    table{
        width: 100%;
    }
    form tr:nth-child(even) {
        background: #EBEBEB;
    }
    form  tr:nth-child(odd) {
        background: #F2F2F2;
    }
    form  tr:last-child{
        background-color: transparent;
    }
    form thead{
        color: #707070;
        background-color: #D5D5D5;
    }
    form tr th{
        padding: 25px;
        font-size: 18px;
    }
    form .product-remove{
        width: 70px;
        text-align: center;
    }
    form .product-remove a{
        color: var(--branco);
        background-color: var(--verde-agua);
        border-radius: 40px;
        display: inline-block;
        padding:5px;
        width: 34px;
        font-size: 20px;
    }
    form .product-thumbnail{
        width: 130px;
        height: 130px;
    }
    form .product-thumbnail img{
        margin: 10px;
        border-radius: 15px;
        object-fit: cover;
    }
    form .product-name{
        padding-left: 20px;
    }
    form .product-name a{
        color: var(--verde-musgo);
        font-size: 18px;
    }
    form .product-price{
        text-align: center;
        color: var(--verde-musgo);
    }
    form .product-quantity{
        color: var(--verde-musgo);
        text-align: center;
    }
    form .product-quantity input{
        border: 1px;
        border-style: ridge;
        border-color: var(--verde-musgo);
    }
    form .product-quantity label{
        display: none;
    }
    form .product-subtotal{
        text-align: center;
        color: var(--verde-musgo);
    }
    .coupon{
        border: 1px;
        border-style: ridge;
        border-color: var(--verde-musgo);
        margin-top: 40px;
    }
    .coupon input.input-text{
        width: 200px !important;
        height: 100%;
    }
    .actions button{
        background-color: var(--mostarda);
        color: var(--branco);
        font-size: 20px;
        margin-top: 40px;
        padding: 8px;
    }
    .actions button[disabled]{
        background-color: var(--amarelo);
    }
    .coupon button{
        margin-top: 0;
        background-color: var(--verde-musgo);
    }
    .cart-collaterals .cart_totals  h2{
        color: var(--verde-agua);
    }
    .cart-collaterals .shop_table{
        color: var(--cinza);
    }
    .cart-collaterals .shop_table tr{
        font-size: 24px;
        padding: 14px;
    }
    .cart-collaterals .shop_table tr:nth-child(even) {
        background: #EBEBEB;
    }
    .cart-collaterals .shop_table tr:nth-child(odd) {
        background: #F2F2F2;
    }
    .cart-collaterals .shop_table th{
        padding: 18px;
    }
    .cart-collaterals .wc-proceed-to-checkout{
        padding-top: 20px;
    }
    .cart-collaterals .checkout-button{
        background-color: var(--mostarda);
        display: inline-block;
        width: 100%;
        text-align:  center;
        color: var(--branco);
        padding: 10px;
        font-size: 18px;
    }
}
